Skip to main content
eCommerce - Products

Update a Product

PUT
/ecommerce/products/{id}
x-api-keystringheaderrequired

Your Siteglide API key

x-site-idstringheaderrequired

The ID of the Siteglide site you are working with (not an API key — just the numeric site ID)

idstringrequired

The Product Item ID

Example: 1

Body

application/json

Your Products custom fields as a JSON object. When updating Attributes and Attribute Options, if you do not provide an ID then a new item will be made. Providing a valid ID will update the existing item. For more information on Product Database structure, please see <a href="https://developers.siteglide.com/database-structure" target="_blank" rel="noopener nofollow">this document</a>

attributesobject[]
category_arrayobject[]
enabledstringrequired
expiry_datestring
module_field_14/product/inventory/1string
module_field_14/product/inventory/2string
module_field_14/product/inventory/3string
module_field_14/product/price/aud/1string
module_field_14/product/price/aud/2string
module_field_14/product/price/cad/1string
module_field_14/product/price/cad/2string
module_field_14/product/price/eur/1string
module_field_14/product/price/eur/2string
module_field_14/product/price/gbp/1string
module_field_14/product/price/gbp/2string
module_field_14/product/price/nzd/1string
module_field_14/product/price/nzd/2string
module_field_14/product/price/usd/1string
module_field_14/product/price/usd/2string
module_field_14/product_1string
module_field_14/product_2string
module_field_14/product_3string
module_field_14/product_4string
module_field_14/product_5string
namestringrequired
release_datestring
secure_zone_arrayobject[]
slugstring
weightingstring

OK